summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-05-01 19:36:41 +0200
committerPacho Ramos <pacho@gentoo.org>2018-05-01 21:35:15 +0200
commitb15e9276e642a8ba2292fd04ca03a245d677f421 (patch)
tree0ec41944d9645fba566cd75071681033451c2b1f /games-rpg
parentgames-rpg/drascula: Drop old (diff)
downloadgentoo-b15e9276e642a8ba2292fd04ca03a245d677f421.tar.gz
gentoo-b15e9276e642a8ba2292fd04ca03a245d677f421.tar.bz2
gentoo-b15e9276e642a8ba2292fd04ca03a245d677f421.zip
games-rpg/freedink: Stop using games.eclass
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'games-rpg')
-rw-r--r--games-rpg/freedink/freedink-108.4-r1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/games-rpg/freedink/freedink-108.4-r1.ebuild b/games-rpg/freedink/freedink-108.4-r1.ebuild
new file mode 100644
index 00000000000..a40e9cd65da
--- /dev/null
+++ b/games-rpg/freedink/freedink-108.4-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic
+
+DESCRIPTION="Dink Smallwood is an adventure/role-playing game, similar to Zelda (2D top view)"
+HOMEPAGE="http://www.freedink.org/"
+SRC_URI="mirror://gnu/freedink/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ >=media-libs/fontconfig-2.4
+ >=media-libs/libsdl-1.2[X,sound,joystick,video]
+ >=media-libs/sdl-gfx-2.0
+ >=media-libs/sdl-image-1.2
+ >=media-libs/sdl-mixer-1.2[midi,vorbis,wav]
+ >=media-libs/sdl-ttf-2.0.9
+"
+RDEPEND="${DEPEND}
+ ~games-rpg/freedink-data-1.08.20140901
+"
+DEPEND="${DEPEND}
+ dev-libs/check
+ virtual/pkgconfig
+ sys-devel/gettext
+"
+
+src_prepare() {
+ default
+ sed -i \
+ -e 's#^datarootdir =.*$#datarootdir = /usr/share#' \
+ share/Makefile.in || die
+ # seems like the code is fragile (bug #559548)
+ filter-flags
+ replace-flags -O? -O0
+}
+
+src_configure() {
+ econf \
+ --disable-embedded-resources \
+ --localedir="/usr/share/locale"
+}